package fr.faraphel.m1_pe_kafka

import fr.faraphel.m1_pe_kafka.utils.Temperature
import fr.faraphel.m1_pe_kafka.utils.celsius


/**
 * The main function
 */
fun main() {
    println("Debut du programme")

    val temperature: Temperature = 0.celsius
    println(temperature.kelvin)

    val producer = Producer()
    val consumer = Consumer()

    val thread1 = Thread { producer.main() }
    val thread2 = Thread { consumer.main() }

    thread1.start()
    thread2.start()

    thread1.join()
    thread2.join()
}
